﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Reflection;

namespace TestRefresh
{
  [Serializable]
  public class MaClasseCollection : BindingList<MaClasse>
  {
      protected override bool SupportsSearchingCore
      {
        get { return true; }
      }

      protected override int FindCore(PropertyDescriptor prop, object key)
      {
        PropertyInfo propInfo = typeof(MaClasse).GetProperty(prop.Name);
        MaClasse item;

        if (key != null)
        {
          for (int i = 0; i < Count; ++i)
          {
            item = (MaClasse)Items[i];
            if (propInfo.GetValue(item, null).Equals(key))
              return i;
          }
        }
        return -1;
      }
  }
}
